Bug 998152 - Can't increase process limits
Can't increase process limits
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 14:45 EDT by Mikhail
Modified: 2013-08-19 11:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 11:31:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
limits.conf (2.54 KB, text/plain)
2013-08-17 14:45 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-08-17 14:45:42 EDT
Created attachment 787615 [details]
limits.conf

Description of problem:
Can't increase process limits


I am add to /etc/security/limits.conf follow lines:
*               soft    nproc             4096
*               hard    nproc             4096

but after reboot
$ ulimit -u
1024
Comment 1 Michele Baldessari 2013-08-17 17:20:46 EDT
This works correctly on both F19 and current rawhide. Check:
/etc/security/limits.d/90-nproc.conf

and make sure nothing conflicting is in there
Comment 2 Mikhail 2013-08-18 01:17:44 EDT
cat /etc/security/limits.d/90-nproc.conf
# Default limit for number of user's processes to prevent
# accidental fork bombs.
# See rhbz #432903 for reasoning.

*          soft    nproc     1024
root       soft    nproc     unlimited

Why?
When I change /etc/security/limits.conf and reboot this file not modify?
Comment 3 Michele Baldessari 2013-08-18 18:04:04 EDT
No it's a different file. 
Please just close this bug, it's just a local misconfiguration

Note You need to log in before you can comment on or make changes to this bug.